## AnjutaCommandQueue

AnjutaCommandQueue — AnjutaCommandQueue is used to queue commands

## Functions

AnjutaCommandQueue * | anjuta_command_queue_new ()
void | anjuta_command_queue_push ()
gboolean | anjuta_command_queue_start ()

## Signals

void | finished | Run First

## Types and Values

enum | AnjutaCommandQueueExecuteMode
| AnjutaCommandQueuePriv

## Object Hierarchy

        GObject
        ╰── AnjutaCommandQueue

## Includes

    #include <libanjuta/anjuta-async-command.h>

## Description

AnjutaCommandQueue always starts the next command in the queue when the previous command finishes. That also works for asyncronous commands

## Functions

### anjuta_command_queue_new ()

    AnjutaCommandQueue *
    anjuta_command_queue_new (AnjutaCommandQueueExecuteMode mode);

### anjuta_command_queue_push ()

    void
    anjuta_command_queue_push (AnjutaCommandQueue *self,
                               AnjutaCommand *command);

Adds a command to the Queue and starts it if there are no other commands waiting

#### Parameters

self | AnjutaCommandQueue object |
command | The command to add |

### anjuta_command_queue_start ()

    gboolean
    anjuta_command_queue_start (AnjutaCommandQueue *self);

## Types and Values

### enum AnjutaCommandQueueExecuteMode

#### Members

ANJUTA_COMMAND_QUEUE_EXECUTE_AUTOMATIC |  |
ANJUTA_COMMAND_QUEUE_EXECUTE_MANUAL |  |

### AnjutaCommandQueuePriv

    typedef struct _AnjutaCommandQueuePriv AnjutaCommandQueuePriv;

## Signal Details

### The `“finished”` signal

    void
    user_function (AnjutaCommandQueue *anjutacommandqueue,
                   gpointer            user_data)

Flags: Run First